Quotes

Refresh a quote

POST
/v1/quotes/{id}/refresh

The endpoint keeps the amount you fixed and uses current pricing to reset the rate, the computed amount, and expiry time. The quote ID remains unchanged. You can refresh active and expired quotes. You cannot refresh a consumed quote.

Authorization

ApiKeyAuth
X-API-Key<token>

The API key identifies your business. Requests do not include a business ID.

In: header

Path Parameters

id*string

The quote ID to refresh.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/quotes/0198e2c1-8f7a-7c2d-b3e1-9a0f4d6c2b55/refresh"
{  "status": true,  "data": {    "id": "string",    "rate": "string",    "source_amount": "string",    "destination_amount": "string",    "partner_fee": {      "bps": 0,      "amount": "string",      "currency": "string"    },    "expires_at": "2019-08-24T14:15:22Z"  }}